@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* /Components/EventContainer.razor.rz.scp.css */
.event-container[b-v39ceqiwym] {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 12px;
    border: 1px solid silver;
    border-radius: 6px;
    overflow: hidden;
    cursor: pointer;
}

.event-day-container[b-v39ceqiwym] {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 8px 12px 8px 12px;
    margin-left: 12px;
    border-left: 1px solid silver;
}

.event-day-1[b-v39ceqiwym] {
    font-size: 0.8rem;
    color: dimgray;
}

.event-day-2[b-v39ceqiwym] {
    font-size: 1.8rem;
    color: crimson;
    line-height: 1;
}

.event-day-3[b-v39ceqiwym] {
    font-size: 0.8rem;
    color: dimgray;
}

.event-content-container[b-v39ceqiwym] {
    display: flex;
    flex-direction: column;
    height: 100%;
    flex-grow: 1;
    padding: 4px 8px 4px 12px;
}

.event-content-top[b-v39ceqiwym] {
    height: 100%;
}

.location-title-container[b-v39ceqiwym] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.location-title[b-v39ceqiwym] {
    font-weight: 600;
}

.location-sub[b-v39ceqiwym] {
    font-size: 0.8rem;
}

.time-details[b-v39ceqiwym] {
    font-size: 0.8rem;
}

.time-details.active[b-v39ceqiwym] {
    color: green;
}

.event-content-image[b-v39ceqiwym] {
    min-width: 86px;
    max-width: 86px;
    height: 100%;
    min-height: 82px;
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-current[b-v39ceqiwym] {
    background-color: lightgreen;
}

.bg-next[b-v39ceqiwym] {
    background-color: lavender;
}


@media (max-width: 640.98px) {

    .event-container[b-v39ceqiwym] {
        border-bottom: 1px solid lavender;
    }

}

@media (min-width: 641px) {

    .event-container[b-v39ceqiwym] {
        min-width: 550px;
        margin-right: 32px;
    }

}
/* /Pages/Appointments.razor.rz.scp.css */
#container[b-nzpryer4o4] {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(130deg, rgba(23,12,214,1) 0%, rgba(37,112,170,1) 50%, rgba(0,0,0,1) 100%);
    font-family: Cantarell, Calibri, 'Trebuchet MS', sans-serif;
}

#welcome-text[b-nzpryer4o4] {
    padding: 32px;
    text-align: center;
    font-weight: 600;
    color: white;
    -webkit-text-stroke: 2px black;
    font-size: 4.4vw;
}

.appointment-title[b-nzpryer4o4] {
    text-align: center;
    font-weight: 600;
    color: white;
    font-size: 3.4vw;
}

.next-appointment[b-nzpryer4o4] {
    padding-bottom: 32px;
    text-align: center;
    font-weight: 600;
    color: yellow;
    font-size: 3.4vw;
}

.more-appointment[b-nzpryer4o4] {
    /* padding: 32px; */
    text-align: center;
    font-weight: 600;
    color: silver;
    font-size: 2.6vw;
}
/* /Pages/Index.razor.rz.scp.css */
#loader-background[b-pry7ov49ez] {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: lavender;
}

.group-container[b-pry7ov49ez] {
    display: flex;
    flex-direction: column;
    margin-bottom: 12px;
    border-bottom: 1px solid lavender;
    padding: 4px 4px 12px 4px;
    font-weight: 600;
    color: navy;
    width: 100%;
}

.hint[b-pry7ov49ez] {
    padding-bottom: 4px;
    border-left: 4px solid dodgerblue;
    padding-left: 12px;
}

.search-result-container[b-pry7ov49ez] {
    padding: 12px;
}

.calendar-container[b-pry7ov49ez] {
    margin: 42px 0 22px 0;
    border-top: 1px solid silver;
    width: 100%;
}

.date-display[b-pry7ov49ez] {
 	text-align: center;
	font-size: 1.6rem;
	color: gray;
	font-weight: 600;
    padding: 8px 0 8px 0;
}

.time-display[b-pry7ov49ez] {
    text-align: center;
}

.remaining-display[b-pry7ov49ez] {
    text-align: center;
    font-size: 0.8rem;
    color: gray;
    padding: 8px 0 8px 0;
}

.location-small[b-pry7ov49ez] {
    font-size: 0.8rem;
}

.events-container[b-pry7ov49ez] {
    display: flex;
    flex-wrap: wrap;
    /* margin: 16px; */
}

/* .group-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 12px;
    border-bottom: 1px solid lavender;
    padding: 4px 4px 12px 4px;
    font-weight: 600;
    color: navy;
    width: 100%;
} */

.link-container[b-pry7ov49ez] {
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
    border: 1px solid silver;
    border-radius: 6px;
    overflow: hidden;
}

.link-container:hover[b-pry7ov49ez] {
    background-color: lavender;
}

.link-logo[b-pry7ov49ez] {
    min-height: 60px;
    max-height: 60px;
    min-width: 60px;
    background-size: contain;
    background-repeat: no-repeat;
}

.link-description[b-pry7ov49ez] {
    padding: 8px;
}

.prices-container[b-pry7ov49ez] {
    display: flex;
    flex-wrap: wrap;
}

.price-item[b-pry7ov49ez] {
    background-color: darkviolet;
    color: white;
    display: flex;
    flex-direction: column;
}

.price-item-header[b-pry7ov49ez] {
	font-size: 1.6rem;
	padding: 8px;
	text-align: center;
	background-color: black;
}

.price-item-price[b-pry7ov49ez] {
	padding: 22px;
	text-align: center;
	font-size: 1.6rem;
}

.price-item-description[b-pry7ov49ez] {
	padding: 8px;
	font-size: 0.8rem;
	text-align: justify;
    flex-grow: 1;
}

.price-item-subtext[b-pry7ov49ez] {
	padding: 8px;
	font-size: 0.8rem;
    font-style: italic;
}

.hint-text[b-pry7ov49ez] {
	font-size: 0.8rem;
	border-left: 6px solid dodgerblue;
	padding-left: 12px;
	margin: 12px 0 22px 0;
}

.image-container[b-pry7ov49ez] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 32px;
}

.image-container img[b-pry7ov49ez] {
    margin: 4px;
}

.news-container[b-pry7ov49ez] {
    display: flex;
    flex-direction: column;
}

.news-item[b-pry7ov49ez] {
    margin-bottom: 12px;
    border: 1px solid silver;
    border-radius: 6px;
}

.news-title[b-pry7ov49ez] {
    color: gray;
    font-size: 0.8rem;
    padding: 8px 8px 0 8px;
}

.news-text[b-pry7ov49ez] {
    padding: 8px;
}


@media (max-width: 640.98px) {

    .events-container[b-pry7ov49ez] {
        flex-direction: column;
    }

    .links-container[b-pry7ov49ez] {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .link-container[b-pry7ov49ez] {
        width: 100%;
        margin-bottom: 8px;
    }

    .prices-container[b-pry7ov49ez] {
        flex-direction: column;
    }

    .price-item[b-pry7ov49ez] {
        margin-bottom: 1rem;
        width: 100%;
    }

}

@media (min-width: 641px) {

    .events-container[b-pry7ov49ez] {
        flex-direction: row;
    }

    .links-container[b-pry7ov49ez] {
        display: flex;
        flex-direction: row;
    }

    .link-container[b-pry7ov49ez] {
        margin: 0 22px 12px 0;
    }

    .prices-container[b-pry7ov49ez] {
        flex-direction: row;
        justify-content: center;
    }

    .price-item[b-pry7ov49ez] {
        margin: 1rem;
        max-width: 250px;
    }

}
/* /Pages/LocationPage.razor.rz.scp.css */

.events-container[b-w0jc5ondwl] {
    display: flex;
    flex-direction: column;
}

.calendar-container[b-w0jc5ondwl] {
    margin: 42px 0 22px 0;
    border-top: 1px solid silver;
    width: 100%;
}

.date-display[b-w0jc5ondwl] {
 	text-align: center;
	font-size: 1.6rem;
	color: gray;
	font-weight: 600;
    padding: 8px 0 8px 0;
}

.time-display[b-w0jc5ondwl] {
    text-align: center;
}

.remaining-display[b-w0jc5ondwl] {
    text-align: center;
    font-size: 0.8rem;
    color: gray;
    padding: 8px 0 8px 0;
}

.group-container[b-w0jc5ondwl] {
    display: flex;
    flex-direction: column;
    margin-bottom: 12px;
    border-bottom: 1px solid lavender;
    padding: 4px 4px 12px 4px;
    font-weight: 600;
    color: navy;
    width: 100%;
}



@media (max-width: 640.98px) {



}

@media (min-width: 641px) {


}
/* /Pages/Search.razor.rz.scp.css */
.search-result-item[b-p2xbzos0nm] {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px;
    border-bottom: 1px solid silver;
}

.search-result-item-infos[b-p2xbzos0nm] {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.search-result-item-title[b-p2xbzos0nm] {
    font-weight: bold;
}

.search-result-item-artist[b-p2xbzos0nm] {
    font-size: 0.8rem;
}

.search-result-item-buttons[b-p2xbzos0nm] {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.search-result-item-button[b-p2xbzos0nm] {
    min-width: 70px;
    min-height: 60px;
    font-size: 1.5rem;
    color: blueviolet;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.request-item[b-p2xbzos0nm] {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 8px;
    border-bottom: 1px solid silver;
}

.request-item-status[b-p2xbzos0nm] {
    color: dodgerblue;
}

.request-item-message[b-p2xbzos0nm] {
    color: dimgray;
}

.no-fav[b-p2xbzos0nm] {
    color: white;
    -webkit-text-stroke: 1px gray;
}
/* /Shared/MainLayout.razor.rz.scp.css */
#page-header[b-6mnf4z6fah] {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 42px;
    background-color: blueviolet;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.page-header-side[b-6mnf4z6fah] {
    min-width: 42px;
    min-height: 42px;
    max-width: 42px;
    max-height: 42px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#page-content[b-6mnf4z6fah] {
    position: fixed;
    left: 0;
    top: 43px;
    width: 100%;
    bottom: 60px;
    background-color: white;
    overflow-x: hidden;
    overflow-y: auto;
}

#page-footer[b-6mnf4z6fah] {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 60px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.footer-item[b-6mnf4z6fah] {
    height: 60px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    color: black;
    cursor: pointer;
}

.footer-item.active[b-6mnf4z6fah] {
    color: blueviolet;
    background-color: silver;
}

#sidebar[b-6mnf4z6fah] {
    position: fixed;
    top: 0;
    bottom: 0;
    background-color: blueviolet;
    color: white;
    transition: 0.2s;
}

#sidebar-header[b-6mnf4z6fah] {
    height: 42px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.sidebar-item[b-6mnf4z6fah] {
    padding: 12px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.sidebar-item:hover[b-6mnf4z6fah] {
    background-color: dodgerblue;
}

@media (max-width: 640.98px) {

    .footer-item[b-6mnf4z6fah] {
        width: 70px;
    }

    .footer-item-label[b-6mnf4z6fah] {
        display: none;
    }

    #sidebar[b-6mnf4z6fah] {
        width: 100%;
    }

}

@media (min-width: 641px) {

    .footer-item[b-6mnf4z6fah] {
        min-width: 70px;
        padding: 0 12px 0 12px;
    }

    .footer-item-label[b-6mnf4z6fah] {
        font-size: 0.8rem;
        padding-left: 6px;
    }

    #sidebar[b-6mnf4z6fah] {
        width: 350px;
    }
}
